Fetch the authorization link for UAE Pass
curl --request GET \
--url https://gateway.amana.io/uaepass/auth-link \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.amana.io/uaepass/auth-link"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.amana.io/uaepass/auth-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorizationLink": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}uaepass
Fetch the authorization link for UAE Pass
GET
/
uaepass
/
auth-link
Fetch the authorization link for UAE Pass
Authorizations
JWT token obtained from authentication endpoints
Query Parameters
Custom redirect URI for UAE Pass
Source of the request
The language of the UAEPass OAuth lfow
Registration token if available
Response
Default Response
Last modified on October 7, 2026
